Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.loader.rmi
Class RemoteTreeCacheImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  org.jboss.cache.loader.rmi.RemoteTreeCacheImpl

All Implemented Interfaces:
  java.io.Serializable, java.rmi.Remote, RemoteTreeCache

    public class RemoteTreeCacheImpl

extends java.rmi.server.UnicastRemoteObject
implements RemoteTreeCache

Implementation of the `TreeCache`'s remote interface.

Version:
  $Id: RemoteTreeCacheImpl.java,v 1.7 2006/03/15 16:02:40 genman Exp $
Author:
  Daniel Gredler
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteTreeCacheImpl(TreeCacheMBean cache)`

Method Summary
`boolean` | `exists(Fqn name)`
`Node` | `get(Fqn name)`
`java.lang.Object` | `get(Fqn name, java.lang.Object key)`
`java.util.Set` | `getChildrenNames(Fqn fqn)`
`void` | `put(Fqn name, java.util.Map attributes)`
`java.lang.Object` | `put(Fqn name, java.lang.Object key, java.lang.Object value)`
`void` | `put(java.util.List modifications)`
`void` | `remove(Fqn name)`
`java.lang.Object` | `remove(Fqn name, java.lang.Object key)`
`void` | `removeData(Fqn name)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteTreeCacheImpl

    public RemoteTreeCacheImpl(TreeCacheMBean cache)
                        throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

Method Detail

### getChildrenNames

    public java.util.Set getChildrenNames(Fqn fqn)
                                   throws java.lang.Exception,
                                          java.rmi.RemoteException

  Specified by:
    `getChildrenNames` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.getChildrenNames(org.jboss.cache.Fqn)`

### get

    public java.lang.Object get(Fqn name,
                                java.lang.Object key)
                         throws java.lang.Exception,
                                java.rmi.RemoteException

  Specified by:
    `get` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.get(org.jboss.cache.Fqn, java.lang.Object)`

### get

    public Node get(Fqn name)
             throws java.lang.Exception,
                    java.rmi.RemoteException

  Specified by:
    `get` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.get(org.jboss.cache.Fqn)`

### exists

    public boolean exists(Fqn name)
                   throws java.lang.Exception,
                          java.rmi.RemoteException

  Specified by:
    `exists` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.exists(org.jboss.cache.Fqn)`

### put

    public java.lang.Object put(Fqn name,
                                java.lang.Object key,
                                java.lang.Object value)
                         throws java.lang.Exception,
                                java.rmi.RemoteException

  Specified by:
    `put` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.put(org.jboss.cache.Fqn, java.lang.Object, java.lang.Object)`

### put

    public void put(Fqn name,
                    java.util.Map attributes)
             throws java.lang.Exception,
                    java.rmi.RemoteException

  Specified by:
    `put` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.put(org.jboss.cache.Fqn, java.util.Map)`

### put

    public void put(java.util.List modifications)
             throws java.lang.Exception,
                    java.rmi.RemoteException

  Specified by:
    `put` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### remove

    public java.lang.Object remove(Fqn name,
                                   java.lang.Object key)
                            throws java.lang.Exception,
                                   java.rmi.RemoteException

  Specified by:
    `remove` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.remove(org.jboss.cache.Fqn, java.lang.Object)`

### remove

    public void remove(Fqn name)
                throws java.lang.Exception,
                       java.rmi.RemoteException

  Specified by:
    `remove` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.remove(org.jboss.cache.Fqn)`

### removeData

    public void removeData(Fqn name)
                    throws java.lang.Exception,
                           java.rmi.RemoteException

  Specified by:
    `removeData` in interface `RemoteTreeCache`
  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`
  See Also:
    `RemoteTreeCache.removeData(org.jboss.cache.Fqn)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.